%define		kdeframever	5.86
%define		qtver		5.14.0
%define		kfname		kitemviews

Summary:	Set of item views extending the Qt model-view framework
Name:		kf5-%{kfname}
Version:	5.86.0
Release:	1
License:	LGPL v2.1+
Group:		X11/Libraries
Source0:	https://download.kde.org/stable/frameworks/%{kdeframever}/%{kfname}-%{version}.tar.xz
# Source0-md5:	0efe5b0ae782dd7c9ba59b4a9ff7fb18
URL:		http://www.kde.org/
BuildRequires:	Qt5Test-devel >= %{qtver}
BuildRequires:	Qt5Widgets-devel >= %{qtver}
BuildRequires:	cmake >= 3.5
BuildRequires:	kf5-extra-cmake-modules >= %{version}
BuildRequires:	ninja
BuildRequires:	qt5-linguist >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	Qt5Widgets >= %{qtver}
Requires:	kf5-dirs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		qt5dir		%{_libdir}/qt5

%description
KItemViews includes a set of views, which can be used with item
models. It includes views for categorizing lists and to add search
filters to flat and hierarchical lists.

%package devel
Summary:	Header files for %{kfname} development
Summary(pl.UTF-8):	Pliki nagłówkowe dla programistów używających %{kfname}
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	Qt5Widgets-devel >= %{qtver}
Requires:	cmake >= 2.6.0

%description devel
Header files for %{kfname} development.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla programistów używających %{kfname}.

%prep
%setup -q -n %{kfname}-%{version}

%build
install -d build
cd build
%cmake -G Ninja \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON \
	../
%ninja_build

%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kfname}5_qt --with-qm --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files -f %{kfname}5_qt.lang
%defattr(644,root,root,755)
%doc README.md
%ghost %{_libdir}/libKF5ItemViews.so.5
%attr(755,root,root) %{_libdir}/libKF5ItemViews.so.*.*
%attr(755,root,root) %{_libdir}/qt5/plugins/designer/kitemviews5widgets.so
%{_datadir}/qlogging-categories5/kitemviews.categories

%files devel
%defattr(644,root,root,755)
%{_includedir}/KF5/KItemViews
%{_includedir}/KF5/kitemviews_version.h
%{_libdir}/cmake/KF5ItemViews
%{_libdir}/libKF5ItemViews.so
%{qt5dir}/mkspecs/modules/qt_KItemViews.pri
%changelog
* Fri Sep 17 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/kf5-kitemviews.git;a=log;h=master

* Mon Sep 13 2021 Witold Filipczyk <witekfl@poczta.onet.pl> c5cbcdd
- updated to 5.86.0

* Tue Aug 17 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 5c54a2d
- updated to 5.85.0

* Sun Jul 11 2021 Witold Filipczyk <witekfl@poczta.onet.pl> fc5b609
- updated to 5.84.0

* Mon Jun 14 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 948cd14
- updated to 5.83.0

* Mon May 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> bc1145c
- updated to 5.82.0

* Wed Mar 24 2021 Jan Palus <atler@pld-linux.org> 9b7ddb5
- macros for %ninja*

* Wed Mar 24 2021 Jan Palus <atler@pld-linux.org> 0b5ed20
- updated build and runtime deps

* Sat Apr 10 2021 Witold Filipczyk <witekfl@poczta.onet.pl> 1c6b1e8
- updated to 5.81.0

* Mon Mar 22 2021 Witold Filipczyk <witekfl@poczta.onet.pl> ff0f88c
- updated to 5.80.0

* Sat Mar 06 2021 Witold Filipczyk <witekfl@poczta.onet.pl> a288e8f
- update to 5.79.0

* Tue Feb 18 2020 Łukasz Maśko <lmasko@pld-linux.org> e946515
- Updated BR: kf5-extra-cmake-modules.

* Mon Feb 17 2020 Łukasz Maśko <lmasko@pld-linux.org> 7577b7b
- Up to 5.67.0.

* Mon Dec 30 2019 Łukasz Maśko <lmasko@pld-linux.org> 192d2db
- Up to 5.65.0.

* Tue Nov 26 2019 Łukasz Maśko <lmasko@pld-linux.org> 85c2bc1
- Up to 5.62.0.

* Mon Jun 10 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 0669bb7
- updated to 5.59.0

* Mon Mar 25 2019 Witold Filipczyk <witekfl@poczta.onet.pl> 7759082
- updated to 5.56

* Thu Dec 27 2018 Witold Filipczyk <witekfl@poczta.onet.pl> 5a69fbc
- updated to 5.53.0

* Mon Jul 16 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 87b0198
- up to 5.48.0

* Mon May 07 2018 Witold Filipczyk <witekfl@poczta.onet.pl> ff24fdb
- updated to 5.45.0

* Tue Feb 13 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 2dca82a
- up to 5.43.0

